com.hazelcast.cache

## Interface CacheEntryView<K,V>

- Type Parameters:
    `K` - the type of the key
    `V` - the type of the value
  All Superinterfaces:
    com.hazelcast.internal.eviction.EvictableEntryView<K,V>

      public interface CacheEntryView<K,V>
      extends com.hazelcast.internal.eviction.EvictableEntryView<K,V>

  Entry info for cache record.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccessHit()` Gets the count of how many time this cache entry has been accessed.
    `long` | `getExpirationTime()` Gets the expiration time in milliseconds of the cache entry.
    `Object` | `getExpiryPolicy()` Gets the expiry policy associated with this entry if there is one.
    `K` | `getKey()` Gets the key of the cache entry.
    `long` | `getLastAccessTime()` Gets the last access time in milliseconds of the cache entry.
    `V` | `getValue()` Gets the value of the cache entry.

    - ### Methods inherited from interface com.hazelcast.internal.eviction.EvictableEntryView

      `getCreationTime`

- - ### Method Detail

    - #### getKey

          K getKey()

      Gets the key of the cache entry.
      Specified by:
        `getKey` in interface `com.hazelcast.internal.eviction.EvictableEntryView<K,V>`
      Returns:
        the key of the cache entry

    - #### getValue

          V getValue()

      Gets the value of the cache entry.
      Specified by:
        `getValue` in interface `com.hazelcast.internal.eviction.EvictableEntryView<K,V>`
      Returns:
        the value of the cache entry

    - #### getExpirationTime

          long getExpirationTime()

      Gets the expiration time in milliseconds of the cache entry.
      Returns:
        the expiration time in milliseconds of the cache entry

    - #### getLastAccessTime

          long getLastAccessTime()

      Gets the last access time in milliseconds of the cache entry.
      Specified by:
        `getLastAccessTime` in interface `com.hazelcast.internal.eviction.EvictableEntryView<K,V>`
      Returns:
        the last access time in milliseconds of the cache entry

    - #### getAccessHit

          long getAccessHit()

      Gets the count of how many time this cache entry has been accessed.
      Specified by:
        `getAccessHit` in interface `com.hazelcast.internal.eviction.EvictableEntryView<K,V>`
      Returns:
        the count of how many time this cache entry has been accessed

    - #### getExpiryPolicy

          Object getExpiryPolicy()

      Gets the expiry policy associated with this entry if there is one.
      Returns:
        the expiry policy associated with this entry or `null` if there is none

Copyright © 2020. All rights reserved.